VERSION 5.00
Begin VB.Form frmPath 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Change path to ""meka.thm"""
   ClientHeight    =   2640
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   4095
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2640
   ScaleWidth      =   4095
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   435
      Left            =   2415
      TabIndex        =   3
      ToolTipText     =   "Click to cancel"
      Top             =   720
      Width           =   1560
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "&Ok"
      Enabled         =   0   'False
      Height          =   435
      Left            =   2415
      TabIndex        =   2
      ToolTipText     =   "Click to change path"
      Top             =   120
      Width           =   1560
   End
   Begin VB.DirListBox dirPath 
      Height          =   1890
      Left            =   120
      TabIndex        =   1
      ToolTipText     =   "Select directory from list"
      Top             =   600
      Width           =   2175
   End
   Begin VB.DriveListBox drvPath 
      Height          =   315
      Left            =   120
      TabIndex        =   0
      ToolTipText     =   "Select drive from list"
      Top             =   120
      Width           =   2175
   End
End
Attribute VB_Name = "frmPath"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'force variable declaration
Option Explicit


Private Sub cmdCancel_Click()
   'set mouse to busy
   Screen.MousePointer = vbHourglass
   
   'set sentinel
   CloseSentinel = StartUp
   
   'close form
   Me.Hide
   Unload Me
End Sub


Private Sub cmdOk_Click()
   Dim a As Integer
   
   'set mouse to busy
   Screen.MousePointer = vbHourglass
   
   'set close sentinel
   CloseSentinel = False
   
   'change path to theme file
   If Right$(dirPath.Path, 1) = "\" Then
      ThemeFilePath = dirPath.Path
   Else
      ThemeFilePath = dirPath.Path & "\"
   End If
   
   'read theme file
   Call ReadThemeFile(ThemeFilePath & "meka.thm")
   
   'insert theme names into theme select combobox
   frmTheme.cmbTheme.Clear
   frmTheme.cmbTheme.AddItem "(new)"
   For a = 0 To NumTotalThemes - 1
      frmTheme.cmbTheme.AddItem Theme(a).Name
   Next a
   frmTheme.cmbTheme.ListIndex = 1
   
   'disable save menu button
   frmTheme.mnuFileSave.Enabled = False
   
   'close form
   Me.Hide
   Unload Me
End Sub


Private Sub dirPath_Change()
   Dim TestPath As String
   
   'enable error trapping
   On Error GoTo ErrorHandler
      
   'create path to theme file
   If Right$(dirPath.Path, 1) = "\" Then
      TestPath = dirPath.Path & "meka.thm"
   Else
      TestPath = dirPath.Path & "\meka.thm"
   End If
   
   'disable ok box if invalid path
   If Dir(TestPath) = "" Then
      cmdOk.Default = False
      cmdOk.Enabled = False
   Else
      cmdOk.Default = True
      cmdOk.Enabled = True
   End If
   Exit Sub

ErrorHandler:
   If Err.Number = 68 Then
      'device unavailable so reset
      dirPath = ThemeFilePath
   End If
End Sub


Private Sub drvPath_Change()
   'enable error trapping
   On Error GoTo ErrorHandler
   
   'change directory box path
   dirPath.Path = drvPath.Drive
   Exit Sub

ErrorHandler:
   If Err.Number = 68 Then
      'device unavailable so reset
      drvPath = ThemeFilePath
   End If
End Sub


Private Sub Form_Load()
   'change control paths
   dirPath.Path = ThemeFilePath
   drvPath.Drive = ThemeFilePath
   
   'set mouse to normal
   Screen.MousePointer = vbDefault
End Sub

