VERSION 5.00
Begin VB.Form frmRename 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Rename Theme"
   ClientHeight    =   1485
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   3495
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1485
   ScaleWidth      =   3495
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   435
      Left            =   1815
      TabIndex        =   2
      ToolTipText     =   "Click to cancel"
      Top             =   900
      Width           =   1560
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "&Ok"
      Default         =   -1  'True
      Height          =   435
      Left            =   120
      TabIndex        =   1
      ToolTipText     =   "Click to rename theme"
      Top             =   900
      Width           =   1560
   End
   Begin VB.TextBox txtName 
      Height          =   285
      Left            =   120
      TabIndex        =   0
      ToolTipText     =   "Type new theme name here"
      Top             =   360
      Width           =   3255
   End
   Begin VB.Label lblName 
      BackStyle       =   0  'Transparent
      Caption         =   "Enter new name for theme:"
      Height          =   195
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   1905
   End
End
Attribute VB_Name = "frmRename"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'force variable declaration
Option Explicit


Private Sub cmdCancel_Click()
   'set mouse to busy
   Screen.MousePointer = vbHourglass
   
   'close form
   Me.Hide
   Unload Me
End Sub


Private Sub cmdOk_Click()
   'set mouse to busy
   Screen.MousePointer = vbHourglass
   
   'change theme name
   Theme(NumTheme).Name = Trim(txtName.Text)
   
   'change name in theme select combo box
   frmTheme.cmbTheme.RemoveItem NumTheme + 1
   frmTheme.cmbTheme.AddItem Theme(NumTheme).Name, NumTheme + 1
   frmTheme.cmbTheme.ListIndex = NumTheme + 1
   
   'enable save menu button
   frmTheme.mnuFileSave.Enabled = True
   
   'close form
   Me.Hide
   Unload Me
End Sub


Private Sub Form_Load()
   'insert current name to text box
   txtName.Text = Theme(NumTheme).Name
   
   'set mouse to normal
   Screen.MousePointer = vbDefault
End Sub


Private Sub txtName_Change()
   'disable ok box if empty text
   If Trim(txtName.Text) = "" Then
      cmdOk.Default = False
      cmdOk.Enabled = False
   Else
      cmdOk.Default = True
      cmdOk.Enabled = True
   End If
End Sub


Private Sub txtName_GotFocus()
   'highlight text
   txtName.SelStart = 0
   txtName.SelLength = Len(txtName.Text)
End Sub


Private Sub txtName_LostFocus()
   'trim text
   txtName.Text = Trim(txtName.Text)
End Sub
